Page MenuHomeFreeBSD

FFL: Change type of tcp_output() recwin, sendwin, and adv variables.
ClosedPublic

Authored by jtl on Jul 2 2016, 8:28 PM.

Details

Reviewers
rrs
lstewart
gnn
Group Reviewers
transport
Summary

In tcp_output(), change recwin, sendwin, and adv to appropriate integer values.

Note that this changes the signed-ness of recwin and sendwin, so may require extra review attention. The sign change for sendwin seems straightforward. The sign change for recwin should be closely scrutinized.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 4415
Build 4465: arc lint + arc unit

Event Timeline

jtl updated this revision to Diff 18095.Jul 2 2016, 8:28 PM
jtl retitled this revision from to FFL: Change type of tcp_output() recwin, sendwin, and adv variables..
jtl updated this object.
jtl edited the test plan for this revision. (Show Details)
jtl added a reviewer: transport.
Herald added a subscriber: imp. · View Herald Transcript
gnn accepted this revision.Jul 4 2016, 12:27 AM
gnn added a reviewer: gnn.
This revision is now accepted and ready to land.Jul 4 2016, 12:27 AM
rrs accepted this revision.Aug 16 2016, 9:26 PM
rrs added a reviewer: rrs.
lstewart accepted this revision.Aug 24 2016, 3:15 AM
lstewart added a reviewer: lstewart.
lstewart added a subscriber: lstewart.
lstewart added inline comments.
sys/netinet/tcp_output.c
649

Combine these?

jtl closed this revision.Oct 6 2016, 7:12 PM

Committed in rS306769.